# Refactoring exercise

This is an exercise to learn foundations of refactoring

The first stage is to create an implementation of the requirements imposed by the tests.

When all test are green, then the real refactoring starts.

